Index: branches/UKMO/test_moci_test_suite/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90
===================================================================
--- branches/UKMO/test_moci_test_suite/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 8282)
+++ branches/UKMO/test_moci_test_suite/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 8283)
@@ -154,8 +154,8 @@
 
       IF( TRIM(cdname) == TRIM(cxios_context) ) THEN  
-         CALL set_grid( "T", glamt, gphit, ln_mskland ) 
-         CALL set_grid( "U", glamu, gphiu, ln_mskland )
-         CALL set_grid( "V", glamv, gphiv, ln_mskland )
-         CALL set_grid( "W", glamt, gphit, ln_mskland )
+         CALL set_grid( "T", glamt, gphit, .FALSE. ) 
+         CALL set_grid( "U", glamu, gphiu, .FALSE. )
+         CALL set_grid( "V", glamv, gphiv, .FALSE. )
+         CALL set_grid( "W", glamt, gphit, .FALSE. )
          CALL set_grid_znl( gphit )
          !
@@ -172,13 +172,13 @@
       ENDIF
 
-     IF( lrst_context )  CALL set_grid("N",glamt, gphit, .FALSE.)        ! not masked values
+     IF( lrst_context )  CALL set_grid("N",glamt, gphit, .TRUE.)        ! not masked values
 
       IF( TRIM(cdname) == TRIM(cxios_context)//"_crs" ) THEN  
          CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
          !
-         CALL set_grid( "T", glamt_crs, gphit_crs, ln_mskland ) 
-         CALL set_grid( "U", glamu_crs, gphiu_crs, ln_mskland ) 
-         CALL set_grid( "V", glamv_crs, gphiv_crs, ln_mskland ) 
-         CALL set_grid( "W", glamt_crs, gphit_crs, ln_mskland ) 
+         CALL set_grid( "T", glamt_crs, gphit_crs, .FALSE. ) 
+         CALL set_grid( "U", glamu_crs, gphiu_crs, .FALSE. ) 
+         CALL set_grid( "V", glamv_crs, gphiv_crs, .FALSE. ) 
+         CALL set_grid( "W", glamt_crs, gphit_crs, .FALSE. ) 
          CALL set_grid_znl( gphit_crs )
           !
@@ -1907,5 +1907,5 @@
 
 
-   SUBROUTINE set_grid( cdgrd, plon, plat, lmask )
+   SUBROUTINE set_grid( cdgrd, plon, plat, lrst )
       !!----------------------------------------------------------------------
       !!                     ***  ROUTINE set_grid  ***
@@ -1917,8 +1917,8 @@
       REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   plon
       REAL(wp), DIMENSION(jpi,jpj), INTENT(in) ::   plat
+      LOGICAL                     , INTENT(in) ::  lrst
       !
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zmask
       INTEGER  :: ni,nj
-      LOGICAL :: lmask
       
       ni=nlei-nldi+1 ; nj=nlej-nldj+1
@@ -1931,7 +1931,7 @@
       CALL iom_set_domain_attr("grid_"//cdgrd, data_dim=2, data_ibegin = 1-nldi, data_ni = jpi, data_jbegin = 1-nldj, data_nj = jpj)
 
-      CALL iom_set_domain_attr("grid_"//cdgrd, lonvalue = RESHAPE(plon(nldi:nlei,nldj:nlej),(/ ni*nj /)),   &
+      IF(.NOT.lrst) CALL iom_set_domain_attr("grid_"//cdgrd, lonvalue = RESHAPE(plon(nldi:nlei,nldj:nlej),(/ ni*nj /)),   &
          &                                     latvalue = RESHAPE(plat(nldi:nlei, nldj:nlej),(/ ni*nj /)))
-      IF ( lmask ) THEN
+      IF ( ln_mskland ) THEN
          ! mask land points, keep values on coast line -> specific mask for U, V and W points
          SELECT CASE ( cdgrd )
Index: branches/UKMO/test_moci_test_suite/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/UKMO/test_moci_test_suite/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 8282)
+++ branches/UKMO/test_moci_test_suite/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 8283)
@@ -395,4 +395,5 @@
       IF( lk_c1d        )   CALL     c1d_init   ! 1D column configuration
                             CALL     dom_cfg    ! Domain configuration
+                            CALL     sbc_init   ! Forcings : surface module (restart read with XIOS)
                             CALL     dom_init   ! Domain
 
@@ -404,6 +405,4 @@
 
       IF( lk_tide       )   CALL    tide_init( nit000 )    ! Initialisation of the tidal harmonics
-
-                            CALL     sbc_init   ! Forcings : surface module (clem: moved here for bdy purpose)
 
       IF( lk_bdy        )   CALL     bdy_init   ! Open boundaries initialisation