Index: branches/2016/v3_6_CMIP6_ice_diagnostics/NEMOGCM/CONFIG/SHARED/field_def.xml
===================================================================
--- branches/2016/v3_6_CMIP6_ice_diagnostics/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 8285)
+++ branches/2016/v3_6_CMIP6_ice_diagnostics/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 8286)
@@ -307,10 +307,10 @@
           <field field_ref="icepres"          name="sitimefrac"   /> 
           <field field_ref="iceconc_pct"      name="siconc"       /> 
-          <field field_ref="icethic"          name="sithick"      default_value="-1.0e20" detect_missing_value="true" operation="average" /> 
-          <field field_ref="snothic"          name="sisnthick"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icestK"           name="sitemptop"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="uice_mv"          name="siu"          default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vice_mv"          name="siv"          default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icevel_mv"        name="sispeed"      default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icethic"          name="sithick"      default_value="1.0e20" detect_missing_value="true" operation="average" /> 
+          <field field_ref="snothic"          name="sisnthick"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icestK"           name="sitemptop"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="uice_mv"          name="siu"          default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="vice_mv"          name="siv"          default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icevel_mv"        name="sispeed"      default_value="1.0e20" detect_missing_value="true" operation="average" />
       </field_group>
 
@@ -321,28 +321,28 @@
           <field field_ref="iceconc_pct"      name="siconc"       />
           <field field_ref="icemass"          name="simass"       />
-          <field field_ref="icethic"          name="sithick"      default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icethic"          name="sithick"      default_value="1.0e20" detect_missing_value="true" operation="average" />
           <field field_ref="icevolu"          name="sivol"        />
-          <field field_ref="snomass"          name="sisnmass"     default_value="-1.0e20" detect_missing_value="true" operation="average" /> 
-          <field field_ref="snothic"          name="sisnthick"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="snomass"          name="sisnmass"     default_value="1.0e20" detect_missing_value="true" operation="average" /> 
+          <field field_ref="snothic"          name="sisnthick"    default_value="1.0e20" detect_missing_value="true" operation="average" />
    
           <!-- category-dependent fields -->
-          <field field_ref="iceconc_cat_pct_mv"  name="siitdconc"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icethic_cat_mv"      name="siitdthick"   default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="snowthic_cat_mv"     name="siitdsnthick" default_value="-1.0e20" detect_missing_value="true" operation="average"/>
+          <field field_ref="iceconc_cat_pct_mv"  name="siitdconc"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icethic_cat_mv"      name="siitdthick"   default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="snowthic_cat_mv"     name="siitdsnthick" default_value="1.0e20" detect_missing_value="true" operation="average"/>
 
           <!-- additional state variables-->
-          <field field_ref="icestK"           name="sitemptop"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icesntK"          name="sitempsnic"   default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icebotK"          name="sitempbot"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="iceage"           name="siage"        default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icestK"           name="sitemptop"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icesntK"          name="sitempsnic"   default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icebotK"          name="sitempbot"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="iceage"           name="siage"        default_value="1.0e20" detect_missing_value="true" operation="average" />
           <field field_ref="icesmass"         name="sisaltmass"   />
-          <field field_ref="icesal"           name="sisali"       default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icefb"            name="sifb"         default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icesal"           name="sisali"       default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icefb"            name="sifb"         default_value="1.0e20" detect_missing_value="true" operation="average" />
           <field field_ref="icehcneg"         name="sihc"         />
-          <field field_ref="isnhcneg"         name="sisnhc"       default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="isnhcneg"         name="sisnhc"       default_value="1.0e20" detect_missing_value="true" operation="average" />
 
           <!-- freshwater fluxes -->
-          <field field_ref="wfxtot"           name="siflfwbot"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="wfxsum"           name="siflfwdrain"  default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="wfxtot"           name="siflfwbot"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="wfxsum"           name="siflfwdrain"  default_value="1.0e20" detect_missing_value="true" operation="average" />
 
           <!-- area balance -->
@@ -366,41 +366,41 @@
 
           <!-- heat balance -->
-          <field field_ref="hfxsenso"         name="siflsensupbot"    default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="hfxconsu"         name="siflcondtop"      default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="hfxconbo"         name="siflcondbot"      default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="hfxsenso"         name="siflsensupbot"    default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="hfxconsu"         name="siflcondtop"      default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="hfxconbo"         name="siflcondbot"      default_value="1.0e20" detect_missing_value="true" operation="average" />
 
           <!-- salt balance -->
-          <field field_ref="sfx_mv"           name="siflsaltbot"      default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="sfx_mv"           name="siflsaltbot"      default_value="1.0e20" detect_missing_value="true" operation="average" />
 
           <!-- sea-ice dynamics -->
-          <field field_ref="uice_mv"          name="siu"              default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vice_mv"          name="siv"              default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="icevel_mv"        name="sispeed"          default_value="-1.0e20" detect_missing_value="true" operation="average" />
-
-          <field field_ref="utau_ice"         name="sistrxdtop"       default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vtau_ice"         name="sistrydtop"       default_value="-1.0e20" detect_missing_value="true" operation="average" />
-
-          <field field_ref="utau_oi"          name="sistrxubot"       default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="vtau_oi"          name="sistryubot"       default_value="-1.0e20" detect_missing_value="true" operation="average" />
-
-          <field field_ref="icestr"           name="sicompstren"      default_value="-1.0e20" detect_missing_value="true" operation="average" />
-
-          <field field_ref="dssh_dx"          name="siforcetiltx"     default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="dssh_dy"          name="siforcetilty"     default_value="-1.0e20" detect_missing_value="true" operation="average" />
-
-          <field field_ref="corstrx"          name="siforcecoriolx"   default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="corstry"          name="siforcecorioly"   default_value="-1.0e20" detect_missing_value="true" operation="average" />
-
-          <field field_ref="intstrx"          name="siforceintstrx"   default_value="-1.0e20" detect_missing_value="true" operation="average" />
-          <field field_ref="intstry"          name="siforceintstry"   default_value="-1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="uice_mv"          name="siu"              default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="vice_mv"          name="siv"              default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="icevel_mv"        name="sispeed"          default_value="1.0e20" detect_missing_value="true" operation="average" />
+
+          <field field_ref="utau_ice"         name="sistrxdtop"       default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="vtau_ice"         name="sistrydtop"       default_value="1.0e20" detect_missing_value="true" operation="average" />
+
+          <field field_ref="utau_oi"          name="sistrxubot"       default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="vtau_oi"          name="sistryubot"       default_value="1.0e20" detect_missing_value="true" operation="average" />
+
+          <field field_ref="icestr"           name="sicompstren"      default_value="1.0e20" detect_missing_value="true" operation="average" />
+
+          <field field_ref="dssh_dx"          name="siforcetiltx"     default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="dssh_dy"          name="siforcetilty"     default_value="1.0e20" detect_missing_value="true" operation="average" />
+
+          <field field_ref="corstrx"          name="siforcecoriolx"   default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="corstry"          name="siforcecorioly"   default_value="1.0e20" detect_missing_value="true" operation="average" />
+
+          <field field_ref="intstrx"          name="siforceintstrx"   default_value="1.0e20" detect_missing_value="true" operation="average" />
+          <field field_ref="intstry"          name="siforceintstry"   default_value="1.0e20" detect_missing_value="true" operation="average" />
 
           <field field_ref="xmtrptot"         name="sidmasstranx"     />
           <field field_ref="ymtrptot"         name="sidmasstrany"     />
 
-          <field field_ref="normstr"          name="sistresave"       default_value="-1.0e20" detect_missing_value="true" operation="instant" />
-          <field field_ref="sheastr"          name="sistremax"        default_value="-1.0e20" detect_missing_value="true" operation="instant" />
-
-          <field field_ref="idive"            name="sidivvel"         default_value="-1.0e20" detect_missing_value="true" operation="instant" />
-          <field field_ref="ishear"           name="sishevel"         default_value="-1.0e20" detect_missing_value="true" operation="instant" />
+          <field field_ref="normstr"          name="sistresave"       default_value="1.0e20" detect_missing_value="true" operation="instant" />
+          <field field_ref="sheastr"          name="sistremax"        default_value="1.0e20" detect_missing_value="true" operation="instant" />
+
+          <field field_ref="idive"            name="sidivvel"         default_value="1.0e20" detect_missing_value="true" operation="instant" />
+          <field field_ref="ishear"           name="sishevel"         default_value="1.0e20" detect_missing_value="true" operation="instant" />
 
           <!-- sea ice fluxes across straits: 2D arrays to be post-processed  -->