Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_ice_cfg
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_ice_cfg	(revision 8316)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_ice_cfg	(revision 8321)
@@ -9,4 +9,5 @@
 !!              7 - Ice salinity                       (namicesal)
 !!              8 - Ice mechanical redistribution      (namiceitdme)
+!!              9 - Ice/snow albedos                   (namicealb)
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !------------------------------------------------------------------------------
@@ -42,2 +43,6 @@
 !------------------------------------------------------------------------------
 /
+!-----------------------------------------------------------------------
+&namicealb     !   albedo parameters
+!-----------------------------------------------------------------------
+/
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_SAS_LIM3/EXP00/namelist_ice_cfg
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_SAS_LIM3/EXP00/namelist_ice_cfg	(revision 8316)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_SAS_LIM3/EXP00/namelist_ice_cfg	(revision 8321)
@@ -9,4 +9,5 @@
 !!              7 - Ice salinity                       (namicesal)
 !!              8 - Ice mechanical redistribution      (namiceitdme)
+!!              9 - Ice/snow albedos                   (namicealb)
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !------------------------------------------------------------------------------
@@ -42,2 +43,6 @@
 !------------------------------------------------------------------------------
 /
+!-----------------------------------------------------------------------
+&namicealb     !   albedo parameters
+!-----------------------------------------------------------------------
+/
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8316)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8321)
@@ -9,4 +9,5 @@
 !!              7 - Ice salinity                       (namicesal)
 !!              8 - Ice mechanical redistribution      (namiceitdme)
+!!              9 - Ice/snow albedos                   (namicealb)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !
@@ -140,4 +141,10 @@
                   ! -- limitd_th -- !
    rn_himin       = 0.1             !  minimum ice thickness (m) used in remapping, must be smaller than rn_hnewice
+                     ! -- icestp -- !
+   nn_limflx      = -1              !  LIM3 Multi-category heat flux formulation (use -1 if LIM3 is not used)
+                                    !  =-1  Use per-category fluxes, bypass redistributor, forced mode only, not yet implemented coupled
+                                    !  = 0  Average per-category fluxes (forced and coupled mode)
+                                    !  = 1  Average and redistribute per-category fluxes, forced mode only, not yet implemented coupled
+                                    !  = 2  Redistribute a single flux over categories (coupled mode only)
 /
 !------------------------------------------------------------------------------
@@ -190,2 +197,15 @@
    rn_fpondrft    =   1.0           !     (ln_rafting = T) pond fraction that survives in rafting (0.5 a priori)
 /
+!-----------------------------------------------------------------------
+&namicealb     !   albedo parameters
+!-----------------------------------------------------------------------
+   nn_ice_alb   =    1   !  parameterization of ice/snow albedo
+                         !     0: Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
+                         !     1: "home made" based on Brandt et al. (JClim 2005) and Grenfell & Perovich (JGR 2004),
+                         !        giving cloud-sky albedo
+   rn_alb_sdry  =  0.85  !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
+   rn_alb_smlt  =  0.75  !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
+   rn_alb_idry  =  0.60  !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
+   rn_alb_imlt  =  0.50  !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
+   rn_alb_dpnd  =  0.27  !  ponded ice albedo       : 0.25 ( '' )          ; 0.27 ( '' )          ; obs 0.10-0.30 ( '' )
+/
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8316)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8321)
@@ -192,9 +192,4 @@
                            !  =1 opa-sas OASIS coupling: multi executable configuration, OPA component
                            !  =2 opa-sas OASIS coupling: multi executable configuration, SAS component 
-   nn_limflx = -1          !  LIM3 Multi-category heat flux formulation (use -1 if LIM3 is not used)
-                           !  =-1  Use per-category fluxes, bypass redistributor, forced mode only, not yet implemented coupled
-                           !  = 0  Average per-category fluxes (forced and coupled mode)
-                           !  = 1  Average and redistribute per-category fluxes, forced mode only, not yet implemented coupled
-                           !  = 2  Redistribute a single flux over categories (coupled mode only)
                      ! Sea-ice :
    nn_ice      = 2         !  =0 no ice boundary condition   ,
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_ice_cfg
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_ice_cfg	(revision 8316)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_ice_cfg	(revision 8321)
@@ -9,4 +9,5 @@
 !!              7 - Ice salinity                       (namicesal)
 !!              8 - Ice mechanical redistribution      (namiceitdme)
+!!              9 - Ice/snow albedos                   (namicealb)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !
@@ -80,2 +81,6 @@
    ln_rafting     =   .true.        !  rafting activated (T) or not (F) => DO NOT TOUCH UNLESS U KNOW WHAT U DO
 /
+!-----------------------------------------------------------------------
+&namicealb     !   albedo parameters
+!-----------------------------------------------------------------------
+/